Debian Bug report logs - #703452
ITP: php5-redis -- PHP API for communicating with the Redis key-value store

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Cyril Bouthors <cyb@debian.org>

Date: Tue, 19 Mar 2013 20:03:01 UTC

Owned by: Ondřej Surý <ondrej@debian.org>

Severity: wishlist

Fixed in version php-redis/2.2.4-1

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703452; Package wnpp. (Tue, 19 Mar 2013 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyb@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 19 Mar 2013 20:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyb@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: php5-redis -- PHP API for communicating with the Redis key-value store
Date: Tue, 19 Mar 2013 21:00:47 +0100
Package: wnpp
Severity: wishlist

* Package name    : php5-redis
  Version         : 2013-03-19+git
  Upstream Author : Nicolas Favre-Felix <n.favrefelix@gmail.com>
* URL or Web page : https://github.com/nicolasff/phpredis
* License         : PHP License, version 3.01
  Description     : PHP API for communicating with the Redis key-value store

The phpredis extension provides an API for communicating with the Redis
key-value store.
-- 
 ,''`.
: :' :      Cyril Bouthors
`. `'         Debian.org
  `-



Owner recorded as Cyril Bouthors <cyb@debian.org>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 20 Mar 2013 04:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Fri, 14 Jun 2013 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David <david@megilla.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Fri, 14 Jun 2013 12:15:04 GMT) Full text and rfc822 format available.

Message #12 received at 703452@bugs.debian.org (full text, mbox):

From: David <david@megilla.de>
To: <cyb@debian.org>
Cc: <703452@bugs.debian.org>
Subject: Near Future
Date: Fri, 14 Jun 2013 14:05:33 +0200
Hi,

are you planning to push the current version of phpredis to debian? Hmm 
... in the near future? :)


Regards,
David



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Fri, 14 Jun 2013 23:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril.bouthors@isvtec.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Fri, 14 Jun 2013 23:30:04 GMT) Full text and rfc822 format available.

Message #17 received at 703452@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril.bouthors@isvtec.com>
To: David <david@megilla.de>
Cc: 703452@bugs.debian.org
Subject: Re: Bug#703452: Near Future
Date: Sat, 15 Jun 2013 01:05:07 +0200
On 14 Jun 2013, david@megilla.de wrote:

> are you planning to push the current version of phpredis to debian? Hmm ... in
> the near future? :)

I can't find a new version on the web.

Do you have an url to provide?
-- 
Cyril Bouthors - ISVTEC: Web Platform Managed Services and Scalability
14 avenue de l'Opéra, 75001 Paris. 1 rue Émile Zola, 69002 Lyon
Tél : 01 84 16 16 17 - Ligne directe : 0x7B9EE3B0E - Fax : 01 77 72 57 24



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 17 Jun 2013 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril.bouthors@isvtec.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 17 Jun 2013 17:39:04 GMT) Full text and rfc822 format available.

Message #22 received at 703452@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril.bouthors@isvtec.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Mon, 17 Jun 2013 19:38:21 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 17, 2013 at 7:38 PM, Jonas Genannt
<jonas.genannt@capi2name.de>wrote:

> I'm also interested to get phpredis into Debian. When do you plan to
> upload the package
> and close this bug?
>

I'm currently having licencing issues.

Can you help me with it?


-- 
Cyril Bouthors - ISVTEC: Web Platform Managed Services and Scalability
14 avenue de l'Opéra, 75001 Paris. 1 rue Émile Zola, 69002 Lyon
Tél : 01 84 16 16 17 - Ligne directe : 0x7B9EE3B0E - Fax : 01 77 72 57 24
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 17 Jun 2013 17:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 17 Jun 2013 17:45:07 GMT) Full text and rfc822 format available.

Message #27 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 703452@bugs.debian.org
Cc: Cyril Bouthors <cyril.bouthors@isvtec.com>, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Mon, 17 Jun 2013 19:38:42 +0200
Hello,

>> are you planning to push the current version of phpredis to debian? Hmm ... in
>> the near future? :)

>I can't find a new version on the web.

>Do you have an url to provide?

I'm also interested to get phpredis into Debian. When do you plan to upload the package
and close this bug?

If you need help, we could maintain it under the hood of PHP Pear Maintainer Group.

Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 17 Jun 2013 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 17 Jun 2013 18:03:04 GMT) Full text and rfc822 format available.

Message #32 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Cyril Bouthors <cyril.bouthors@isvtec.com>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Mon, 17 Jun 2013 20:01:25 +0200
Hello Cyril,

> > I'm also interested to get phpredis into Debian. When do you plan to
> > upload the package
> > and close this bug?
> >
> 
> I'm currently having licencing issues.
> 
> Can you help me with it?

I can try. Is the package available via git?

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 17 Jun 2013 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril.bouthors@isvtec.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 17 Jun 2013 18:15:04 GMT) Full text and rfc822 format available.

Message #37 received at 703452@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril.bouthors@isvtec.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Mon, 17 Jun 2013 20:04:27 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 17, 2013 at 8:01 PM, Jonas Genannt
<jonas.genannt@capi2name.de>wrote:

> I can try. Is the package available via git?
>

There is no package at the moment since I'm having LICENSING issues.

Can you help with licencing issues?


-- 
Cyril Bouthors - ISVTEC: Web Platform Managed Services and Scalability
14 avenue de l'Opéra, 75001 Paris. 1 rue Émile Zola, 69002 Lyon
Tél : 01 84 16 16 17 - Ligne directe : 0x7B9EE3B0E - Fax : 01 77 72 57 24
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 17 Jun 2013 18:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 17 Jun 2013 18:15:07 GMT) Full text and rfc822 format available.

Message #42 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Cyril Bouthors <cyril.bouthors@isvtec.com>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Mon, 17 Jun 2013 20:10:03 +0200
Hello Cyril,

> 
> > I can try. Is the package available via git?
> >
> 
> There is no package at the moment since I'm having LICENSING issues.
> 
> Can you help with licencing issues?

yes, but that's the problem with the licensing? - Can you describe it? Or point me to the
source file with the license problem.

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 17 Jun 2013 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril.bouthors@isvtec.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 17 Jun 2013 18:27:05 GMT) Full text and rfc822 format available.

Message #47 received at 703452@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril.bouthors@isvtec.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Mon, 17 Jun 2013 20:22:48 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 17, 2013 at 8:10 PM, Jonas Genannt
<jonas.genannt@capi2name.de>wrote:

> yes, but that's the problem with the licensing? - Can you describe it? Or
> point me to the
> source file with the license problem.
>

Jonas,

Here is a mail I sent few weeks ago:

On 24 Mar 2013, cyril.bouthors@isvtec.com wrote:

> On 23 Mar 2013, n.favrefelix@gmail.com wrote:
>
>> Thanks for your efforts and packaging suggestion!
>
> No problem, we needed phpredis for one of our PHP clusters and Predis
failed big
> time consuming +400% CPU.
>
>> I am not sure how the license could be a problem, most PHP extensions are
>> released under the PHP license, at least in part.
>
> The only thing I could say is that the package has been rejected by the
Debian
> 'FTP Master' team which approves or rejects packages, here is their
explanation:
>
> ################
>
> From: Ansgar Burchardt <ftpmaster@debian.org>
> Subject: php5-redis_2013-03-19-git_amd64.changes REJECTED
> To: Cyril Bouthors <cyb@debian.org>, Cyril Bouthors <cyril@bouthors.org>
> Date: Wed, 20 Mar 2013 00:00:15 +0000 (4 days, 17 hours, 47 minutes ago)
>
>
> Hi,
>
> you did not include the actual license text. In addition the PHP License
is not
> useful for anything except the PHP interpreter, see the "PHP License"
entry in
> the REJECT FAQ[1].
>
> Ansgar
>
> [1] <http://ftp-master.debian.org/REJECT-FAQ.html>
>
> ===
>
> Please feel free to respond to this email if you don't understand why
> your files were rejected, or if you upload new files which address our
> concerns.
>
> ################
>
>
> I read the URL they gave and it clearly explains why it can't be accepted
in the
> official release.
>
> Did you have a look at that URL?
>
> Regards,


And the reply I got recently:

From: Nicolas Favre-Félix <n.favrefelix@gmail.com>
Subject: Re: phpredis Debian package
To: Cyril Bouthors <cyril.bouthors@isvtec.com>
Date: Tue, 21 May 2013 22:43:40 +0100 (3 weeks, 5 days, 20 hours ago)

Hi Cyril,

Very sorry about the silence, I was convinced I had replied already.

I did have a look at your link and indeed I'm not sure why there are many
PHP-licensed packages there if they're not accepting them (cf. list above).
I have
since then packaged phpredis on PECL: http://pecl.php.net/package/redis and
releases will be published there, as is already the case for most popular
extensions.

To be honest changing the license and contacting all the contributors would
be a
real pain and not something I'm looking forward to, especially considering
the many
install options already available to users (compiled, packaged by others
such as
Dotdeb, installed through PECL...)

Do you know how the packages above (php5-memcached, php5-xdebug,
php-apcphp5-suhosin) made it to Debian if the license is such a big issue?

Thanks,

Nicolas

=============

Can you handle this licencing issue?

That would be appreciated because I don't have time for this before 1 month.

If so, we could co-maintain this package. Technically, the package is ready
and has already been uploaded once but rejected for licencing issues.

Regards,
-- 
Cyril Bouthors - ISVTEC: Web Platform Managed Services and Scalability
14 avenue de l'Opéra, 75001 Paris. 1 rue Émile Zola, 69002 Lyon
Tél : 01 84 16 16 17 - Ligne directe : 0x7B9EE3B0E - Fax : 01 77 72 57 24
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 17 Jun 2013 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 17 Jun 2013 19:15:04 GMT) Full text and rfc822 format available.

Message #52 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Cyril Bouthors <cyril.bouthors@isvtec.com>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Mon, 17 Jun 2013 21:15:34 +0200
Hello,

> >> I am not sure how the license could be a problem, most PHP extensions are
> >> released under the PHP license, at least in part.
> >
> > The only thing I could say is that the package has been rejected by the
> Debian
> > 'FTP Master' team which approves or rejects packages, here is their
> explanation:

> > you did not include the actual license text. In addition the PHP License
> is not
> > useful for anything except the PHP interpreter, see the "PHP License"
> entry in
> > the REJECT FAQ[1].

so Ansgar tells us, that the full license is missing in your debian/copyright file.

Please see:

http://anonscm.debian.org/gitweb/?p=pkg-php/php-apcu.git;a=blob;f=debian/copyright;h=e27d19e74c87a0b9cd56abc6c7c36a2c7fb1268c;hb=HEAD

php5-apcu was successfully upload to Debian and apcu is also an extension like redis. So
there should be no problem with PHP License at all for redis library.

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Tue, 18 Jun 2013 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril.bouthors@isvtec.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Tue, 18 Jun 2013 07:21:04 GMT) Full text and rfc822 format available.

Message #57 received at 703452@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril.bouthors@isvtec.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Tue, 18 Jun 2013 09:18:05 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 17, 2013 at 9:15 PM, Jonas Genannt
<jonas.genannt@capi2name.de>wrote:

> so Ansgar tells us, that the full license is missing in your
> debian/copyright file.
>

sounds easy to fix

I'll do that

Thanks


-- 
Cyril Bouthors - ISVTEC: Web Platform Managed Services and Scalability
14 avenue de l'Opéra, 75001 Paris. 1 rue Émile Zola, 69002 Lyon
Tél : 01 84 16 16 17 - Ligne directe : 0x7B9EE3B0E - Fax : 01 77 72 57 24
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Tue, 18 Jun 2013 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Tue, 18 Jun 2013 18:18:04 GMT) Full text and rfc822 format available.

Message #62 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Cyril Bouthors <cyril.bouthors@isvtec.com>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Tue, 18 Jun 2013 20:16:03 +0200
Hello Cyril,
 
> > so Ansgar tells us, that the full license is missing in your
> > debian/copyright file.
> >
> 
> sounds easy to fix
> 
> I'll do that

that's cool thank you!

Are you willing to maintain php-redis under the hood of PEAR Maintaining Group?

For more information please have a look at:

	http://wiki.debian.org/ReleaseGoals/pkg-php-tools

Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Tue, 18 Jun 2013 19:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril.bouthors@isvtec.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Tue, 18 Jun 2013 19:45:13 GMT) Full text and rfc822 format available.

Message #67 received at 703452@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril.bouthors@isvtec.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: David <david@megilla.de>, 703452@bugs.debian.org
Subject: Re: Bug#703452: Near Future
Date: Tue, 18 Jun 2013 21:37:17 +0200
[Message part 1 (text/plain, inline)]
What is the benefit?

Cyril Bouthors
cyril@boutho.rs
On Jun 18, 2013 8:18 PM, "Jonas Genannt" <jonas.genannt@capi2name.de> wrote:

> Hello Cyril,
>
> > > so Ansgar tells us, that the full license is missing in your
> > > debian/copyright file.
> > >
> >
> > sounds easy to fix
> >
> > I'll do that
>
> that's cool thank you!
>
> Are you willing to maintain php-redis under the hood of PEAR Maintaining
> Group?
>
> For more information please have a look at:
>
>         http://wiki.debian.org/ReleaseGoals/pkg-php-tools
>
> Thanks,
>         Jonas
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Tue, 18 Jun 2013 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Tue, 18 Jun 2013 20:09:04 GMT) Full text and rfc822 format available.

Message #72 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Cyril Bouthors <cyril.bouthors@isvtec.com>
Cc: David <david@megilla.de>, 703452@bugs.debian.org
Subject: Re: Bug#703452: Near Future
Date: Tue, 18 Jun 2013 22:06:08 +0200
Hello,

> What is the benefit?

all packages are available via git. Bigger community, more help. All PHP releated
packages are under the hood of one group.

Better quality of the packages...

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Tue, 25 Jun 2013 09:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Tue, 25 Jun 2013 09:09:04 GMT) Full text and rfc822 format available.

Message #77 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Cyril Bouthors <cyril.bouthors@isvtec.com>
Cc: 703452@bugs.debian.org, David <david@megilla.de>
Subject: Re: Bug#703452: Near Future
Date: Tue, 25 Jun 2013 11:04:54 +0200
Hello Cyril,

> > so Ansgar tells us, that the full license is missing in your
> > debian/copyright file.
> >
> 
> sounds easy to fix
> 
> I'll do that

any news on this case? - When do you planing to upload it into Debian?

Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Wed, 26 Jun 2013 17:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjoern Boschman <bjoern@boschman.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Wed, 26 Jun 2013 17:03:12 GMT) Full text and rfc822 format available.

Message #82 received at 703452@bugs.debian.org (full text, mbox):

From: Bjoern Boschman <bjoern@boschman.de>
To: 703452@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org
Subject: php5-redis
Date: Wed, 26 Jun 2013 18:52:35 +0200
Hi folks,

I'd like to ask the pkg-php-pear group if they might assist by getting
php5-redis into the debian repo.

As far as I can read the ITP most work is already done by Cyril
There's still a license issue which must be handled, but imho it should
not be a big deal as it is licensed under "normal" PHP 3.01 license.

I'd also support Jonas that this pkg should be part of pkg-php-pear


Cheers
B



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Wed, 26 Jun 2013 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Wed, 26 Jun 2013 18:00:04 GMT) Full text and rfc822 format available.

Message #87 received at 703452@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: Bjoern Boschman <bjoern@boschman.de>
Cc: 703452@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org
Subject: Re: [pkg-php-pear] php5-redis
Date: Thu, 27 Jun 2013 01:56:38 +0800
On 06/27/2013 12:52 AM, Bjoern Boschman wrote:
> Hi folks,
> 
> I'd like to ask the pkg-php-pear group if they might assist by getting
> php5-redis into the debian repo.
> 
> As far as I can read the ITP most work is already done by Cyril
> There's still a license issue which must be handled, but imho it should
> not be a big deal as it is licensed under "normal" PHP 3.01 license.
> 
> I'd also support Jonas that this pkg should be part of pkg-php-pear
> 
> 
> Cheers
> B

Hi,

IMO, if your package really is under the PHP license 3.01, then there is
no problem. If it is under 2.x, then you do. As it seems that it's 3.01,
then it's fine, you should just include the full of the PHP license in
the debian/copyright file.

No problem for helping out. The only thing you need to do is upload
under /git/pkg-php in the Alioth machine (aka git.debian.org), and
comply with our Git format as per this:
http://pkg-php.alioth.debian.org/

Note that this page isn't accurate when dealing with different channel
than pear.php.net (pkg-php-tools can handle this now).

BTW, yes, we do insist that every PEAR package should be maintained in
the team, if possible (which means: if there's no strong opposition from
the maintainer, which is pretty rare), and using Git / git-buildpackage.

When your package is there, simply ping the list, and someone (probably
me, but maybe also Mathieu Parent) will sponsor it if it is in good shape.

Cheers,

Thomas Goirand (zigo)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Thu, 27 Jun 2013 06:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Thu, 27 Jun 2013 06:39:08 GMT) Full text and rfc822 format available.

Message #92 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Thomas Goirand <thomas@goirand.fr>
Cc: Bjoern Boschman <bjoern@boschman.de>, 703452@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org
Subject: Re: [pkg-php-pear] php5-redis
Date: Thu, 27 Jun 2013 08:38:38 +0200
Hello,


> > I'd also support Jonas that this pkg should be part of pkg-php-pear

> IMO, if your package really is under the PHP license 3.01, then there
> is no problem. If it is under 2.x, then you do. As it seems that it's
> 3.01, then it's fine, you should just include the full of the PHP
> license in the debian/copyright file.

there is no license issue. The d/copyright was not in the correct way,
that's why NEW team has rejected it.

Please see #703452, I have ask Cyril on 25. June about the current
status, but he does not reply.

So if he does not reply in time, I will package it under the hood of
pkg-php-pear.

Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Thu, 27 Jun 2013 10:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Thu, 27 Jun 2013 10:09:09 GMT) Full text and rfc822 format available.

Message #97 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Thomas Goirand <thomas@goirand.fr>
Cc: Bjoern Boschman <bjoern@boschman.de>, 703452@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org
Subject: Re: [pkg-php-pear] php5-redis
Date: Thu, 27 Jun 2013 12:04:57 +0200
Hello,

> > As far as I can read the ITP most work is already done by Cyril
> > There's still a license issue which must be handled, but imho it
> > should not be a big deal as it is licensed under "normal" PHP 3.01
> > license.
> > 
> > I'd also support Jonas that this pkg should be part of pkg-php-pear

> BTW, yes, we do insist that every PEAR package should be maintained in
> the team, if possible (which means: if there's no strong opposition
> from the maintainer, which is pretty rare), and using Git /
> git-buildpackage.


I have done initial packaging of redis. Please have a look at:

http://anonscm.debian.org/gitweb/?p=pkg-php/php-redis.git;a=summary

Clean builds with PHP 5.5 from sid and seems to be lintian clean.

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Thu, 27 Jun 2013 13:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjoern Boschman <bjoern@boschman.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Thu, 27 Jun 2013 13:39:09 GMT) Full text and rfc822 format available.

Message #102 received at 703452@bugs.debian.org (full text, mbox):

From: Bjoern Boschman <bjoern@boschman.de>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Thomas Goirand <thomas@goirand.fr>, 703452@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org
Subject: Re: [pkg-php-pear] php5-redis
Date: Thu, 27 Jun 2013 15:36:26 +0200
Hi,

Am 27.06.2013 12:04, schrieb Jonas Genannt:
> I have done initial packaging of redis. Please have a look at:
> 
> http://anonscm.debian.org/gitweb/?p=pkg-php/php-redis.git;a=summary
> 
> Clean builds with PHP 5.5 from sid and seems to be lintian clean.

also I haven't build it yet due to missing jessie environment:
from what I have seen this looks quite ok

Cheers
B



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Fri, 28 Jun 2013 10:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Fri, 28 Jun 2013 10:12:07 GMT) Full text and rfc822 format available.

Message #107 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Thomas Goirand <thomas@goirand.fr>
Cc: Bjoern Boschman <bjoern@boschman.de>, 703452@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org, Cyril Bouthors <cyb@debian.org>
Subject: Re: [pkg-php-pear] php5-redis
Date: Fri, 28 Jun 2013 12:10:07 +0200
Hello Cyril,

> > I'd like to ask the pkg-php-pear group if they might assist by
> > getting php5-redis into the debian repo.

> BTW, yes, we do insist that every PEAR package should be maintained in
> the team, if possible (which means: if there's no strong opposition
> from the maintainer, which is pretty rare), and using Git /
> git-buildpackage.

any news from you? - I have started packaging php-redis at:

	http://anonscm.debian.org/gitweb/?p=pkg-php/php-redis.git

It would be really cool, if you could tell us, if we can maintain
php-redis together under the hood of the PEAR team.

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Wed, 17 Jul 2013 19:00:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril@boutho.rs>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Wed, 17 Jul 2013 19:00:14 GMT) Full text and rfc822 format available.

Message #112 received at 703452@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril@boutho.rs>
To: Jonas Genannt <jonas.genannt@capi2name.de>, 703452@bugs.debian.org
Cc: Thomas Goirand <thomas@goirand.fr>, Bjoern Boschman <bjoern@boschman.de>, pkg-php-pear@lists.alioth.debian.org, Cyril Bouthors <cyb@debian.org>
Subject: Re: Bug#703452: [pkg-php-pear] php5-redis
Date: Wed, 17 Jul 2013 20:46:41 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 28, 2013 at 12:10 PM, Jonas Genannt
<jonas.genannt@capi2name.de>wrote:

> any news from you? - I have started packaging php-redis at:
>
>         http://anonscm.debian.org/gitweb/?p=pkg-php/php-redis.git
>
> It would be really cool, if you could tell us, if we can maintain
> php-redis together under the hood of the PEAR team.
>

Jonas,

I'm sorry I didn't have time to handle my Debian duty before, I was quite
busy at the office. I'm handling the backlog now and be responsive as usual.

I would be glad to co-maintain php-redis under the hood of the PEAR team.

I'll upload a new package with your name and email listed in the Uploaders
field if it's OK for you.

It is OK for you?

Please let me know
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Wed, 24 Jul 2013 07:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Wed, 24 Jul 2013 07:21:05 GMT) Full text and rfc822 format available.

Message #117 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Cyril Bouthors <cyril@boutho.rs>
Cc: 703452@bugs.debian.org, Thomas Goirand <thomas@goirand.fr>, Bjoern Boschman <bjoern@boschman.de>, pkg-php-pear@lists.alioth.debian.org, Cyril Bouthors <cyb@debian.org>
Subject: Re: Bug#703452: [pkg-php-pear] php5-redis
Date: Wed, 24 Jul 2013 09:18:07 +0200
Hello Cyril,

> > any news from you? - I have started packaging php-redis at:
> >
> >         http://anonscm.debian.org/gitweb/?p=pkg-php/php-redis.git
> >
> > It would be really cool, if you could tell us, if we can maintain
> > php-redis together under the hood of the PEAR team.
> >
> 
> Jonas,
> 
> I'm sorry I didn't have time to handle my Debian duty before, I was
> quite busy at the office. I'm handling the backlog now and be
> responsive as usual.
> 
> I would be glad to co-maintain php-redis under the hood of the PEAR
> team.
> 
> I'll upload a new package with your name and email listed in the
> Uploaders field if it's OK for you.
> 
> It is OK for you?

you are welcome. Please note I have done packaging with the new
php-pkg.tools, which is an Jessie Release goal. Please see:

	http://anonscm.debian.org/gitweb/?p=pkg-php/php-redis.git

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Sun, 18 Aug 2013 21:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Sun, 18 Aug 2013 21:15:04 GMT) Full text and rfc822 format available.

Message #122 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 703452@bugs.debian.org
Cc: Bjoern Boschman <bjoern@boschman.de>, pkg-php-pear@lists.alioth.debian.org, Cyril Bouthors <cyb@debian.org>
Subject: Re: Bug#703452: [pkg-php-pear] php5-redis
Date: Sun, 18 Aug 2013 23:15:45 +0200
Hello,

> > I'll upload a new package with your name and email listed in the
> > Uploaders field if it's OK for you.
> > 
> > It is OK for you?
> 
> you are welcome. Please note I have done packaging with the new
> php-pkg.tools, which is an Jessie Release goal. Please see:
> 
> 	http://anonscm.debian.org/gitweb/?p=pkg-php/php-redis.git

is there any progress on this task? - If you are busy, an other dd member of pkg-php-pear
team could check and upload this package.

Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 19 Aug 2013 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjoern Boschman <bjoern@boschman.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 19 Aug 2013 16:21:04 GMT) Full text and rfc822 format available.

Message #127 received at 703452@bugs.debian.org (full text, mbox):

From: Bjoern Boschman <bjoern@boschman.de>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 703452@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org, Cyril Bouthors <cyb@debian.org>
Subject: Re: Bug#703452: [pkg-php-pear] php5-redis
Date: Mon, 19 Aug 2013 18:20:21 +0200
Hi,

Am 18.08.2013 23:15, schrieb Jonas Genannt:
> is there any progress on this task? - If you are busy, an other dd member of pkg-php-pear
> team could check and upload this package.

towards whom is this posted?

:-)
B



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#703452; Package wnpp. (Mon, 19 Aug 2013 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Mon, 19 Aug 2013 17:03:04 GMT) Full text and rfc822 format available.

Message #132 received at 703452@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Bjoern Boschman <bjoern@boschman.de>
Cc: 703452@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org, Cyril Bouthors <cyb@debian.org>
Subject: Re: Bug#703452: [pkg-php-pear] php5-redis
Date: Mon, 19 Aug 2013 19:02:39 +0200
Hello,

> Am 18.08.2013 23:15, schrieb Jonas Genannt:
> > is there any progress on this task? - If you are busy, an other dd member of
> > pkg-php-pear team could check and upload this package.
> 
> towards whom is this posted?

sorry .. to the owner of the ITP (Cyril Bouthors).

Greets,
	Jonas



Owner changed from Cyril Bouthors <cyb@debian.org> to Ondřej Surý <ondrej@debian.org>. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Mon, 21 Oct 2013 08:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#703452; Package wnpp. (Mon, 21 Oct 2013 08:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ondřej Surý <ondrej@debian.org>. (Mon, 21 Oct 2013 08:33:05 GMT) Full text and rfc822 format available.

Message #139 received at 703452@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: 703452@bugs.debian.org, Cyril Bouthors <cyb@debian.org>, pkg-php-pecl@lists.alioth.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>
Subject: Re: Bug#703452: ITP: php5-redis -- PHP API for communicating with the Redis key-value store
Date: Mon, 21 Oct 2013 10:28:47 +0200
Hi Cyril,

another 3 month has passed and nothing has happened. I am taking the ITP
under PHP PECL team and uploading the Jonas's packaged version to the
archive.

I have added you as an uploader, so you are welcomed to join the team,
if you are really sure you have the needed time to maintain the package.

Ondrej
-- 
Ondřej Surý <ondrej@sury.org>
Knot DNS (https://www.knot-dns.cz/) – a high-performance DNS server



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 21 Oct 2013 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Mon, 28 Oct 2013 18:03:16 GMT) Full text and rfc822 format available.

Notification sent to Cyril Bouthors <cyb@debian.org>:
Bug acknowledged by developer. (Mon, 28 Oct 2013 18:03:16 GMT) Full text and rfc822 format available.

Message #146 received at 703452-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 703452-close@bugs.debian.org
Subject: Bug#703452: fixed in php-redis 2.2.4-1
Date: Mon, 28 Oct 2013 18:00:07 +0000
Source: php-redis
Source-Version: 2.2.4-1

We believe that the bug you reported is fixed in the latest version of
php-redis, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703452@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated php-redis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Oct 2013 10:19:51 +0200
Source: php-redis
Binary: php5-redis
Architecture: source amd64
Version: 2.2.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian PHP PECL Maintainers <pkg-php-pecl@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 php5-redis - ${phppear:summary}
Closes: 703452
Changes: 
 php-redis (2.2.4-1) unstable; urgency=low
 .
   * Initial Release (Closes: #703452).
   * Move under PHP PECL team umbrella
   * Add Cyril Bouthors <cyb@debian.org> to Uploaders
   * Add myself into Uploaders
   * Don't use ${phppear:Debian-Depends} to not pull strict php5 dependency, use ${php:Depends} instead
Checksums-Sha1: 
 dbd7d2722b534af0b6a43723acfb1752720fc9ae 1405 php-redis_2.2.4-1.dsc
 7bc63063e43950aa13eee32589952655202f8850 90982 php-redis_2.2.4.orig.tar.gz
 77f38297be7ca53e4d6576497790e8ee764fd77c 3612 php-redis_2.2.4-1.debian.tar.gz
 b7eed393c3af49cdfe2a3a4375edaa3fad4788b6 106060 php5-redis_2.2.4-1_amd64.deb
Checksums-Sha256: 
 367ab2dec6d866f23a20c5fa5dc06da812810607cebf6229753ae95eead048e4 1405 php-redis_2.2.4-1.dsc
 caf8e3ea5f04e5a393e0d98c1dffdcef5f581c90614c5c91cabff23532579126 90982 php-redis_2.2.4.orig.tar.gz
 5878ae7f9a74c7f23dd7b9c5cd460e64f2743927ec726ebc5c5efad000b98cfe 3612 php-redis_2.2.4-1.debian.tar.gz
 03c3e196a1ab48b49003369ff45a5e1bc56fe58b733b1c81cf8f6579b223d285 106060 php5-redis_2.2.4-1_amd64.deb
Files: 
 764a4f5c9af651938f8cd0ed694f9ae9 1405 php optional php-redis_2.2.4-1.dsc
 ad7bdb20322833897472b8ee05f3d319 90982 php optional php-redis_2.2.4.orig.tar.gz
 237105932f85cfad4c4fda6f3d78e2ed 3612 php optional php-redis_2.2.4-1.debian.tar.gz
 355c871f26c903fc86252b3a3d227c5f 106060 php optional php5-redis_2.2.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlJk5eAACgkQ9OZqfMIN8nPH5gCeMWy/lOJv3Bn4PNWipGCSL5LC
wW8An2fC4QHcjhe43FzdzpoavXnQqIck
=48pb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Nov 2013 07:29:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:05:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.